## model.entry
Class EntryDataModelEditor

    java.lang.Object
      model.entry.EntryDataModel
          model.entry.EntryDataModelEditor

Direct Known Subclasses:
  EntryInitializer, EntryUpdater

    public abstract class EntryDataModelEditor

extends EntryDataModel

This class gives the set-methods of the superclass EntryDataModel public visibility so that the data can be changed. Editing and creating new Entry objects is done via EntryUpdater and EntryInitializer objects that extend this class. See EntryDataModel, EntryInitializer, EntryUpdater and the architecture document for more information.

Constructor Summary
`protected` `EntryDataModelEditor(ID entry_id)`

Method Summary
`void` `addDiscountId(ID discount_id)`
`abstract void` `run()`
`void` `setClub(java.lang.String club)`
`void` `setCountry(Country country)`
`void` `setCountry(java.lang.String country_code)`
`void` `setDateOfBirth(java.lang.String day, java.lang.String month)`
`void` `setFirstName(java.lang.String first_name)`
`void` `setInfo(java.lang.String info)`
`void` `setLastName(java.lang.String last_name)`
`void` `setPaidSum(java.math.BigDecimal paid_sum)`
`void` `setPaidSum(java.lang.String paid_sum)`
`void` `setRank(Rank rank)`
`void` `setRank(java.lang.String rank)`
`void` `setTotalFee(java.math.BigDecimal total_fee)`
`void` `setTotalFee(java.lang.String total_fee)`

Methods inherited from class model.entry.EntryDataModel
`getBirthDayOfMonth, getBirthMonthOfYear, getClub, getCountry, getDateOfBirth, getDiscountIds, getFirstName, getId, getInfo, getLastName, getPaidSum, getRank, getTotalFee, setDateOfBirth`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EntryDataModelEditor

    protected EntryDataModelEditor(ID entry_id)

Method Detail

### setLastName

    public void setLastName(java.lang.String last_name)
                     throws GoException

  Overrides:
    `setLastName` in class `EntryDataModel`
  Throws:
    `GoException`

### setFirstName

    public void setFirstName(java.lang.String first_name)
                      throws GoException

  Overrides:
    `setFirstName` in class `EntryDataModel`
  Throws:
    `GoException`

### setClub

    public void setClub(java.lang.String club)
                 throws GoException

  Overrides:
    `setClub` in class `EntryDataModel`
  Throws:
    `GoException`

### setRank

    public void setRank(java.lang.String rank)
                 throws GoException

  Overrides:
    `setRank` in class `EntryDataModel`
  Throws:
    `GoException`

### setRank

    public void setRank(Rank rank)
                 throws GoException

  Overrides:
    `setRank` in class `EntryDataModel`
  Throws:
    `GoException`

### setCountry

    public void setCountry(Country country)
                    throws GoException

  Overrides:
    `setCountry` in class `EntryDataModel`
  Throws:
    `GoException`

### setCountry

    public void setCountry(java.lang.String country_code)
                    throws GoException

  Overrides:
    `setCountry` in class `EntryDataModel`
  Throws:
    `GoException`

### setTotalFee

    public void setTotalFee(java.lang.String total_fee)
                     throws GoException

  Overrides:
    `setTotalFee` in class `EntryDataModel`
  Throws:
    `GoException`

### setTotalFee

    public void setTotalFee(java.math.BigDecimal total_fee)
                     throws GoException

  Overrides:
    `setTotalFee` in class `EntryDataModel`
  Throws:
    `GoException`

### setPaidSum

    public void setPaidSum(java.lang.String paid_sum)
                    throws GoException

  Overrides:
    `setPaidSum` in class `EntryDataModel`
  Throws:
    `GoException`

### setPaidSum

    public void setPaidSum(java.math.BigDecimal paid_sum)
                    throws GoException

  Overrides:
    `setPaidSum` in class `EntryDataModel`
  Throws:
    `GoException`

### setInfo

    public void setInfo(java.lang.String info)

  Overrides:
    `setInfo` in class `EntryDataModel`

### setDateOfBirth

    public void setDateOfBirth(java.lang.String day,
                               java.lang.String month)
                        throws GoException

  Overrides:
    `setDateOfBirth` in class `EntryDataModel`
  Throws:
    `GoException`

### addDiscountId

    public void addDiscountId(ID discount_id)
                       throws GoException

  Overrides:
    `addDiscountId` in class `EntryDataModel`
  Throws:
    `GoException`

### run

    public abstract void run()
                      throws GoException

  Throws:
    `GoException`